/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.bean.api;

import com.google.gson.annotations.SerializedName;

import kr.co.zumo.app.lifeplus.bean.JsonBeanBase;

/**
 * LoginBean
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 10. 5.]   [최초 작성]
 * @since 2018. 10. 5.
 */
public class LoginBean extends JsonBeanBase {
  /*
  {
  "user_no": "12345678900",
  "user_name": "나나나",
  "mail_id": "naananan@gmail.com",
  "memr_stat_cd": "000", // 000: 정상, 200:휴면, 탈퇴:900
  "lock_stat_cd": "000", // 000: 정상, 999: 잠금상태
  "ci_value":"5555555555"
  }
   */

  public static final String USER_STATUS_NORMAL = "000";
  public static final String USER_STATUS_REST = "200";
  public static final String USER_STATUS_OUT = "900";
  public static final String LOCK_STATUS_NORMAL = "000";
  public static final String LOCK_STATUS_BLOCK = "999";

  @SerializedName("user_no")
  private String userId;
  @SerializedName("user_name")
  private String userName;
  @SerializedName("mail_id")
  private String email;
  @SerializedName("memr_stat_cd")
  private String memberStatus;
  @SerializedName("lock_stat_cd")
  private String blockStatus;
  @SerializedName("ci_value")
  private String userCi;

  private String token;

  /**
   * 멤버 상태에 이상이 없는지 확인
   *
   * @return
   */
  public boolean isNormal() {
    return memberStatus.equals(USER_STATUS_NORMAL) && blockStatus.equals(LOCK_STATUS_NORMAL);
  }

  public String getToken() {
    return token;
  }

  public void setToken(String token) {
    this.token = token;
  }

  public String getUserId() {
    return userId;
  }

  public void setUserId(String userId) {
    this.userId = userId;
  }

  public String getUserName() {
    return userName;
  }

  public void setUserName(String userName) {
    this.userName = userName;
  }

  public String getEmail() {
    return email;
  }

  public void setEmail(String email) {
    this.email = email;
  }

  public String getMemberStatus() {
    return memberStatus;
  }

  public void setMemberStatus(String memberStatus) {
    this.memberStatus = memberStatus;
  }

  public String getBlockStatus() {
    return blockStatus;
  }

  public void setBlockStatus(String blockStatus) {
    this.blockStatus = blockStatus;
  }

  public String getUserCi() {
    return userCi;
  }

  public void setUserCi(String userCi) {
    this.userCi = userCi;
  }
}
